D-Bus 1.13.18

Macros
Utility macros
D-Bus low-level public API

TRUE, FALSE, NULL, and so on More...

## Macros
#define | DBUS_BEGIN_DECLS
| Macro used prior to declaring functions in the D-Bus header files. More...
#define | DBUS_END_DECLS
| Macro used after declaring functions in the D-Bus header files. More...
#define | TRUE 1
| Expands to "1".
#define | FALSE 0
| Expands to "0".
#define | NULL ((void*) 0)
| A null pointer, defined appropriately for C or C++.
#define | DBUS_DEPRECATED
| Tells the compiler to warn about a function or type if it's used. More...
#define | _DBUS_GNUC_EXTENSION
| Tells gcc not to warn about extensions to the C standard in the following expression, even if compiling with -pedantic. More...
#define | DBUS_EXPORT
#define | DBUS_PRIVATE_EXPORT /* no decoration */
#define | _dbus_clear_pointer_impl(T, pointer_to_pointer, destroy)

## Detailed Description

TRUE, FALSE, NULL, and so on

Utility macros.

## Macro Definition Documentation

## ◆ _dbus_clear_pointer_impl

#define _dbus_clear_pointer_impl | ( |  | T,
|  |  | pointer_to_pointer,
|  |  | destroy
| ) |  |

Value:
do { \
T **_pp = (pointer_to_pointer); \
T *_value = *_pp; \
\
*_pp = NULL; \
\
if (_value != NULL) \
destroy (_value); \
} while (0)
NULL
#define NULL
A null pointer, defined appropriately for C or C++.

Definition at line 237 of file dbus-macros.h.

## ◆ _DBUS_GNUC_EXTENSION

#define _DBUS_GNUC_EXTENSION

Tells gcc not to warn about extensions to the C standard in the following expression, even if compiling with -pedantic.

Do not use this macro in your own code; please consider it to be internal to libdbus.

## ◆ DBUS_BEGIN_DECLS

#define DBUS_BEGIN_DECLS

Macro used prior to declaring functions in the D-Bus header files.

Expands to "extern "C"" when using a C++ compiler, and expands to nothing when using a C compiler.

Please don't use this in your own code, consider it D-Bus internal.

## ◆ DBUS_DEPRECATED

#define DBUS_DEPRECATED

Tells the compiler to warn about a function or type if it's used.

Code marked in this way should also be enclosed in

#ifndef DBUS_DISABLE_DEPRECATED
deprecated stuff here
#endif

Please don't use this in your own code, consider it D-Bus internal.

## ◆ DBUS_END_DECLS

#define DBUS_END_DECLS

Macro used after declaring functions in the D-Bus header files.

Expands to "}" when using a C++ compiler, and expands to nothing when using a C compiler.

Please don't use this in your own code, consider it D-Bus internal.

## ◆ DBUS_EXPORT

#define DBUS_EXPORT

Definition at line 210 of file dbus-macros.h.

## ◆ DBUS_PRIVATE_EXPORT

#define DBUS_PRIVATE_EXPORT /* no decoration */

Definition at line 226 of file dbus-macros.h.